--- /dev/null
+#!/bin/bash -e
+##############################################################################
+# Copyright (c) 2019 Mirantis Inc., Enea AB and others.
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+# regression due to https://bugs.launchpad.net/neutron/+bug/1760047
+salt -I 'neutron:gateway' pkg.install python-neutron
+salt -I 'neutron:gateway' file.patch /usr/lib/python2.7/dist-packages/neutron/agent/dhcp/agent.py /var/tmp/dhcp_agent.patch || true
CI_DEBUG=${CI_DEBUG:-0}; [[ "${CI_DEBUG}" =~ (false|0) ]] || set -x
+$(dirname "${BASH_SOURCE[0]}")/neutron_dhcp_agent_patch
salt -I 'neutron:gateway' state.sls neutron
salt -I 'cinder:controller:role:secondary' state.sls cinder
wait_for 3.0 "salt -I 'cinder:volume' state.sls cinder"
+$(dirname "${BASH_SOURCE[0]}")/neutron_dhcp_agent_patch
salt -I 'neutron:server:role:primary' state.sls neutron
salt -I 'neutron:server:role:secondary' state.sls neutron
salt -I 'neutron:gateway' state.sls neutron.gateway
- nospec_store_bypass_disable
- noibrs
- noibpb
+ file:
+ /var/tmp/dhcp_agent.patch:
+ contents: |
+ 549,551c549,550
+ < self.schedule_resync("Duplicate IP addresses found, "
+ < "DHCP cache is out of sync",
+ < created_port.network_id)
+ ---
+ > LOG.info("Duplicate IP addresses found for %s network",
+ > created_port.network_id)
neutron:
gateway:
vlan_aware_vms: true
root_helper_daemon: false
dhcp_lease_duration: 3600
report_interval: 120
+ linux:
+ system:
+ file:
+ /var/tmp/dhcp_agent.patch:
+ contents: |
+ 549,551c549,550
+ < self.schedule_resync("Duplicate IP addresses found, "
+ < "DHCP cache is out of sync",
+ < created_port.network_id)
+ ---
+ > LOG.info("Duplicate IP addresses found for %s network",
+ > created_port.network_id)
parameters:
neutron:
compute:
- dhcp_agent_enabled: true
- metadata_agent_enabled: true
backend:
tenant_network_types: ${_param:neutron_tenant_network_types}
linux:
- cluster.mcp-common-noha.openstack_compute
- cluster.mcp-ovs-noha
parameters:
- neutron:
- compute:
- dhcp_agent_enabled: true
- metadata_agent_enabled: true
linux:
network:
interface: